# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Typedefs | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/Vector4.hpp File Reference

`#include <vlCore/Vector3.hpp>`

Go to the source code of this file.

## Classes

class | vl::Vector4< T_Scalar >
| The Vector4 class is a template class that implements a generic 4 components vector, see also vl::fvec4, vl::dvec4, vl::uvec4, vl::ivec4, vl::svec4, vl::usvec4, vl::bvec4, vl::ubvec4. More...

## Namespaces

namespace | vl

| Visualization Library namespace.

## Typedefs

typedef Vector4< int > | vl::ivec4
| A 4 components vector with `int` precision.
typedef Vector4< unsigned int > | vl::uvec4
| A 4 components vector with `unsigned` int precision.
typedef Vector4< float > | vl::fvec4
| A 4 components vector with `float` precision.
typedef Vector4< double > | vl::dvec4
| A 4 components vector with `double` precision.
typedef Vector4< char > | vl::bvec4
| A 4 components vector with `char` precision.
typedef Vector4< unsigned char > | vl::ubvec4
| A 4 components vector with `unsigned` char precision.
typedef Vector4< short > | vl::svec4
| A 4 components vector with `short` precision.
typedef Vector4< unsigned short > | vl::usvec4
| A 4 components vector with `unsigned` short precision.
typedef fvec4 | vl::vec4
| Defined as: `'typedef` `fvec4` `vec4'`. See also VL_PIPELINE_PRECISION.

## Functions

template<typename T >
const Vector4< T > | vl::operator* (T val, const Vector4< T > &v)
float | vl::dot (const fvec4 &v1, const fvec4 &v2)
fvec4 | vl::min (const fvec4 &a, const fvec4 &b)
fvec4 | vl::min (const fvec4 &a, float b)
dvec4 | vl::min (const dvec4 &a, double b)
ivec4 | vl::min (const ivec4 &a, int b)
uvec4 | vl::min (const uvec4 &a, unsigned int b)
fvec4 | vl::max (const fvec4 &a, const fvec4 &b)
fvec4 | vl::max (const fvec4 &a, float b)
dvec4 | vl::max (const dvec4 &a, double b)
ivec4 | vl::max (const ivec4 &a, int b)
uvec4 | vl::max (const uvec4 &a, unsigned int b)
fvec4 | vl::clamp (const fvec4 &x, float minval, float maxval)
fvec4 | vl::clamp (const fvec4 &x, const fvec4 &minval, const fvec4 &maxval)
dvec4 | vl::clamp (const dvec4 &x, double minval, double maxval)
ivec4 | vl::clamp (const ivec4 &x, int minval, int maxval)
uvec4 | vl::clamp (const uvec4 &x, unsigned int minval, unsigned int maxval)

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:43:50.
Permission is granted to use this page to write and publish articles regarding Visualization Library.